WordPress.org

Ready to get started?Download WordPress

Forums

Bootstrap Ultimate
[resolved] ERROR: Warning: array_key_exists (11 posts)

  1. davidg1058
    Member
    Posted 3 months ago #

    Great looking theme you have here. I have tried to upload and use it but I get the following error on several lines. This happens while previewing or activating the theme.
    "Warning: array_key_exists() [function.array-key-exists]: The second argument should be either an array or an object in /home/xxxxxxx/public_html/boot/wp-content/themes/bootstrap-ultimate/functions.php on line 792"

    I'm sure it something on my side, thanks for the theme and the help.

  2. eminozlem
    Member
    Theme Author

    Posted 3 months ago #

    Yeah, for technical reasons, the theme stores theme options ( $eo_options array ) in a global rather then using of_get_option() function of the Option Framework.
    But you should not get any errors, once you've actually activated the theme right ? Let me know if you get any errors after activation.

  3. davidg1058
    Member
    Posted 3 months ago #

    Yes I do get errors and can't deactivate the theme I had to delete the WP install. That was in a subfolder, I have not tried it on my main domain. Thanks Again.

  4. eminozlem
    Member
    Theme Author

    Posted 3 months ago #

    ah, sorry to hear that. I'll try to reproduce and fix it.
    It'd be better if you could send me the link so that I could investigate but anyway.
    Thanks for the report, good luck

  5. davidg1058
    Member
    Posted 3 months ago #

    OK here you go I just set up WP on a Subdomain Log-in here>>> http://strap.7dbl7.com/wp-admin
    user= eminozlem
    pw= demo1234

    I installed the latest version but did not activate it, when I did before I had to uninstall WP. check it out and again thanks for your help.

  6. eminozlem
    Member
    Theme Author

    Posted 3 months ago #

    I get

    Call to undefined function wp_get_theme()

    What version of WP is this install ? You should have wp 3.5+

  7. davidg1058
    Member
    Posted 3 months ago #

    new install today s/b 3.8

  8. davidg1058
    Member
    Posted 3 months ago #

    Also I see a different error if logged-in as admin as apposed to logged-out.

    Thanks again

  9. eminozlem
    Member
    Theme Author

    Posted 3 months ago #

    Try to go to admin. You should see the Call to undefined function wp_get_theme() error.
    Btw, there's no way that install is 3.5+. It looked more like a 3.2 or 3.3.
    That's the main reason you cant activate the theme in the admin

  10. davidg1058
    Member
    Posted 3 months ago #

    Wow do I feel stupid, lol... that was the problem 3.3 was installed. Sorry I wasted your time and thanks for your help. Just FYI cpanel at hostgator is still installing 3.3, I have 3.5 on most of my sites and thought that's what HG was installing.

  11. eminozlem
    Member
    Theme Author

    Posted 3 months ago #

    No worries. I hope you you got it sorted out. Let me know if you still have problems or other questions and feel free to rate the theme if you havent already, it helps.

    Also I add a workaround for versions prior to 3.5+ in the future, thanks for the report.

Reply

You must log in to post.

About this Theme

About this Topic

Tags

No tags yet.